Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class ColorMapNode

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.shading.ChannelMapNode
                  de.grogra.imp3d.shading.ColorMapNode

All Implemented Interfaces:
  Icon, IconSource, ChannelMap, ColorMap, Manageable, PersistenceCapable, Shareable, RenderedIcon, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  Material, SurfaceMap

    public abstract class ColorMapNode

extends ChannelMapNode
implements ColorMap, IconSource, RenderedIcon

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`

Fields inherited from class de.grogra.imp3d.shading.ChannelMapNode
`AMBIENT, COLOR, COLOR_2, DIFFUSE_TRANSPARENCY, DISPLACEMENT, EMISSIVE, FIRST_OP, INPUT, input$FIELD, MIN_UNUSED_SPECIAL_OF_TARGET, SECOND_OP, SHININESS, SPECULAR, TRANSPARENCY, TRANSPARENCY_SHININESS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`ColorMapNode()`

Method Summary
`void` | `drawImage(java.awt.image.BufferedImage image, int supersampling, boolean useInput)`
`Icon` | `getIcon(java.awt.Dimension size, int state)`
`java.awt.Rectangle` | `getIconBounds()`
`IconSource` | `getIconSource()`
`java.awt.Image` | `getImage()`
`java.awt.Image` | `getImage(int w, int h)`
`java.net.URL` | `getImageSource()`
`protected ChannelData` | `getInputData(ChannelData sink)`
`java.awt.Dimension` | `getPreferredIconSize(boolean small)`
`java.awt.image.BufferedImage` | `getRenderedImage()`
`float` | `getSizeRatio()`
`boolean` | `isMutable()`
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics2D g, int x, int y, int w, int h, int state)`
`void` | `prepareIcon()`
`int` | `renderImage(JobManager jm, java.awt.image.BufferedImage img, int y)`
`protected abstract void` | `renderLine(java.awt.image.BufferedImage image, int supersampling, int line, boolean useInput, java.util.Map props)`

Methods inherited from class de.grogra.imp3d.shading.ChannelMapNode
`accept, accept, getFloatValue, getInput, getObjectValue, setInput`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getNTypeImpl, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, newInstance, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.math.ColorMap
`getAverageColor`

Methods inherited from interface de.grogra.math.ChannelMap
`accept, getFloatValue, getObjectValue, getStamp`

Methods inherited from interface de.grogra.pf.ui.RenderedIcon
`getStamp`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

Constructor Detail

### ColorMapNode

    public ColorMapNode()

Method Detail

### drawImage

    public void drawImage(java.awt.image.BufferedImage image,
                          int supersampling,
                          boolean useInput)

### getIcon

    public Icon getIcon(java.awt.Dimension size,
                        int state)

  Specified by:
    `getIcon` in interface `IconSource`

### getIconBounds

    public java.awt.Rectangle getIconBounds()

  Specified by:
    `getIconBounds` in interface `Icon`

### getIconSource

    public IconSource getIconSource()

  Specified by:
    `getIconSource` in interface `Icon`

### getImage

    public java.awt.Image getImage()

  Specified by:
    `getImage` in interface `Icon`

### getImage

    public java.awt.Image getImage(int w,
                                   int h)

  Specified by:
    `getImage` in interface `Icon`

### getImageSource

    public java.net.URL getImageSource()

  Specified by:
    `getImageSource` in interface `Icon`

### getInputData

    protected ChannelData getInputData(ChannelData sink)

### getPreferredIconSize

    public java.awt.Dimension getPreferredIconSize(boolean small)

  Specified by:
    `getPreferredIconSize` in interface `IconSource`

### getRenderedImage

    public java.awt.image.BufferedImage getRenderedImage()

### getSizeRatio

    public float getSizeRatio()

  Specified by:
    `getSizeRatio` in interface `RenderedIcon`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `Icon`

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics2D g,
                          int x,
                          int y,
                          int w,
                          int h,
                          int state)

  Specified by:
    `paintIcon` in interface `Icon`

### prepareIcon

    public void prepareIcon()

  Specified by:
    `prepareIcon` in interface `Icon`

### renderImage

    public int renderImage(JobManager jm,
                           java.awt.image.BufferedImage img,
                           int y)

  Specified by:
    `renderImage` in interface `RenderedIcon`

### renderLine

    protected abstract void renderLine(java.awt.image.BufferedImage image,
                                       int supersampling,
                                       int line,
                                       boolean useInput,
                                       java.util.Map props)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD